KABC::VCardConverter Class Reference

`#include <vcardconverter.h>`

## Public Types

enum | Version { v2_1, v3_0 }

## Public Member Functions

| VCardConverter ()
| ~VCardConverter ()
QString | createVCard (const Addressee &addr, Version version=v3_0)
QString | createVCards (Addressee::List list, Version version=v3_0)
Addressee | parseVCard (const QString &vcard)
Addressee::List | parseVCards (const QString &vcard)
bool | vCardToAddressee (const QString &, Addressee &, Version version=v3_0) KDE_DEPRECATED
bool | addresseeToVCard (const Addressee &, QString &, Version version=v3_0) KDE_DEPRECATED

## Detailed Description

Class to converting contact objects into vCard format and vice versa.

This class implements reading and writing of contact using from/to the vCard format. Currently vCard version 2.1 and 3.0 is supported.

Example:

QFile file( "myfile.vcf" );
file.open( IO_ReadOnly );
QString data = file.readAll();
VCardConverter converter;
Addressee::List list = converter.parseVCards( data );
// print formatted name of first contact
qDebug( "name=%s", list[ 0 ].formattedName().latin1() );

Definition at line 53 of file vcardconverter.h.

## Member Enumeration Documentation

enum KABC::VCardConverter::Version

- v2_1 - VCard format version 2.1
- v3_0 - VCard format version 3.0

Definition at line 61 of file vcardconverter.h.

## Constructor & Destructor Documentation

VCardConverter::VCardConverter | ( |  | ) |

Constructor.

Definition at line 35 of file vcardconverter.cpp.

VCardConverter::~VCardConverter | ( |  | ) |

Destructor.

Definition at line 40 of file vcardconverter.cpp.

## Member Function Documentation

bool VCardConverter::addresseeToVCard | ( | const Addressee & | addr,
|  | QString & | str,
|  | Version | version = `v3_0`
| ) |  |

Deprecated:

Definition at line 90 of file vcardconverter.cpp.

QString VCardConverter::createVCard | ( | const Addressee & | addr,
|  | Version | version = `v3_0`
| ) |  |

Creates a string in vCard format which contains the given contact.

Parameters

  addr | The contact object
  version | The version of the generated vCard format

Definition at line 46 of file vcardconverter.cpp.

QString VCardConverter::createVCards | ( | Addressee::List | list,
|  | Version | version = `v3_0`
| ) |  |

Creates a string in vCard format which contains the given list of contact.

Parameters

  list | The list of contact objects
  version | The version of the generated vCard format

Definition at line 54 of file vcardconverter.cpp.

Addressee VCardConverter::parseVCard | ( | const QString & | vcard | ) |

Parses a string in vCard format and returns the first contact.

Definition at line 61 of file vcardconverter.cpp.

Addressee::List VCardConverter::parseVCards | ( | const QString & | vcard | ) |

Parses a string in vCard format and returns a list of contact objects.

Definition at line 68 of file vcardconverter.cpp.

bool VCardConverter::vCardToAddressee | ( | const QString & | str,
|  | Addressee & | addr,
|  | Version | version = `v3_0`
| ) |  |

Deprecated:

Definition at line 77 of file vcardconverter.cpp.

The documentation for this class was generated from the following files:

- vcardconverter.h
- vcardconverter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys